using System.Collections.Generic;
using System.Xml.Serialization;

namespace FogbugzWrapper
{
	[XmlRoot(ElementName = "project")]
	public class Project
	{
		[XmlElement(ElementName = "ixProject")]
		public int IxProject { get; set; }

		[XmlElement(ElementName = "sProject")]
		public string SProject { get; set; }

		[XmlElement(ElementName = "ixPersonOwner")]
		public int IxPersonOwner { get; set; }

		[XmlElement(ElementName = "sPersonOwner")]
		public string SPersonOwner { get; set; }

		[XmlElement(ElementName = "sEmail")]
		public string SEmail { get; set; }

		[XmlElement(ElementName = "sPhone")]
		public object SPhone { get; set; }

		[XmlElement(ElementName = "fInbox")]
		public bool FInbox { get; set; }

		[XmlElement(ElementName = "ixWorkflow")]
		public int IxWorkflow { get; set; }

		[XmlElement(ElementName = "fDeleted")]
		public bool FDeleted { get; set; }
	}
	[XmlRoot(ElementName = "projects")]
	public class Projects
	{

		[XmlElement(ElementName = "project")]
		public List<Project> Project { get; set; }
	}

	[XmlRoot(ElementName = "response")]
	public class ProjectResponse
	{

		[XmlElement(ElementName = "projects")]
		public Projects Projects { get; set; }
	}
}
